> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mixpanel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete for Entity

> Delete all schemas of a specific entity type



## OpenAPI

````yaml openapi/lexicon-schemas.openapi.yaml DELETE /projects/{projectId}/schemas/{entityType}
openapi: 3.0.2
info:
  title: Lexicon Schemas API
  description: >-
    Use schemas to sync your data dictionary with Mixpanel. Schemas can be used
    to populate Lexicon and provide additional context for your data.
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  contact:
    url: https://mixpanel.com/get-support
  version: 1.0.0
servers:
  - url: https://{regionAndDomain}.com/api/app
    description: Mixpanel's application API server.
    variables:
      regionAndDomain:
        default: mixpanel
        enum:
          - mixpanel
          - eu.mixpanel
          - in.mixpanel
        description: |
          The server location to be used:
            * `mixpanel` - The default (US) servers used for most projects
            * `eu.mixpanel` - EU servers if you are enrolled in EU Data Residency
            * `in.mixpanel` - India servers if you are enrolled in India Data Residency
security:
  - ServiceAccount: []
tags:
  - name: Create Schemas
    description: Operations to add schemas to a project
  - name: Delete Schemas
    description: Remove a schema from a project
  - name: Retrieve Schemas
    description: Get additional information about schemas
  - name: Update Schemas
    description: Make changes to an existing Schema
paths:
  /projects/{projectId}/schemas/{entityType}:
    parameters:
      - in: path
        name: projectId
        schema:
          type: integer
        required: true
        description: 'Your project id (eg: 12345)'
      - $ref: '#/components/parameters/schemaEntityType'
      - $ref: '#/components/parameters/schemaEntityNameQuery'
    delete:
      tags:
        - Delete Schemas
      summary: Delete for Entity
      description: Delete all schemas of a specific entity type
      operationId: delete-schemas-for-entity
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteSchemasResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Details about the error that occurred
                  status:
                    type: string
                    enum:
                      - error
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Details about the error that occurred
                  status:
                    type: string
                    enum:
                      - error
components:
  parameters:
    schemaEntityType:
      in: path
      name: entityType
      schema:
        $ref: '#/components/schemas/SchemaEntityType'
      required: true
      description: 'The entity type (eg: event)'
    schemaEntityNameQuery:
      in: query
      name: entity_name
      schema:
        type: string
      required: false
      description: 'The entity name (eg: Added To Cart)'
  schemas:
    DeleteSchemasResponse:
      type: object
      properties:
        results:
          type: object
          properties:
            delete_count:
              type: integer
        status:
          type: string
          enum:
            - ok
    SchemaEntityType:
      type: string
      enum:
        - event
        - profile
  securitySchemes:
    ServiceAccount:
      type: http
      scheme: basic
      description: Service Account

````